Bug 837434 - [abrt] TnL-071111-19.fc17: std::local_Rb_tree_decrement: Process /usr/bin/TnL was killed by signal 11 (SIGSEGV)
[abrt] TnL-071111-19.fc17: std::local_Rb_tree_decrement: Process /usr/bin/TnL...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: TnL (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:a1a0e84f9843654fcf2f10cbcdc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 16:51 EDT by BigAurian
Modified: 2013-07-31 22:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:43:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (7.53 KB, text/plain)
2012-07-03 16:51 EDT, BigAurian
no flags Details
File: backtrace (6.35 KB, text/plain)
2012-07-03 16:51 EDT, BigAurian
no flags Details

  None (edit)
Description BigAurian 2012-07-03 16:51:24 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        TnL
crash_function: std::local_Rb_tree_decrement
executable:     /usr/bin/TnL
kernel:         3.4.4-3.fc17.i686
pid:            1692
pwd:            /home/igor
time:           Ma 03 iul 2012 23:49:13 +0300
uid:            1000
username:       igor

backtrace:      Text file, 6504 bytes
maps:           Text file, 7709 bytes

build_ids:
:cd4a1552e499798697751c097d4b3793b3d5509a
:57d6de5ff5536ed125c804f036da93c46399c6e4
:c37ce5a56ac9116ef3203d075293c839e22aadc9
:4bd9cd3a78fa841a2bcf0df8c7e838b80cccd5f3
:92aaf9e3a33962226af01da69620e9be799859d4
:75dd838611972f941eddfbc872c11bb0e35fb8c2
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:9ffd3462e38187f213a7f56473d2a5f02f41d2b1
:757d0ed5f496fc377d8558caf8987cefa4679f96
:b82d37b194d62d458a93b35606c2910a45cd9c17
:635507de4d66deb229143ff49b92c5f490b3dfec
:5e8d3c197260996854c323ff8e3bea735dd721fe
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:ad63525422103c7af64dc96d269f49b5bd6c6a9e
:f13e5fa699a7129ee3080ddeb31558ef7578cddb
:1c12cb7e4fc7befb9050f7fc5163203d26ebe9c3
:75901b80d2dac1e6eb7ce9c4b8446d9190d4896a
:c9666f5e43b3b03d782acadda76ae3074095c8a4
:3e8db068ebbfae69654767b42d9b0475c53121e7
:3df9575f6c20f439dfd9922408847fd5ed86c685
:2aa0a3c7fd741675fb8369e41ac0a688f804a29b
:4bcde352cc5d4c005e9b7261b589daeb6bbefc4b
:3a22696b5960be635fc574c02bac360f4e9786dc
:9ff154685b04583c95ef0f393e8be81e3c51ca7b
:abcfe6b280fcee6f1f127d40d8f54e6b4d896f5a
:6ad7290039c3a747aba372c1580787bf587f1082
:63a0388f99c5ae3e81da15022556e48210dfea4a
:88355dd86bb6db28d6805ab8d9dc0c0f3886e721

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/igor/2

core_backtrace:
:757d0ed5f496fc377d8558caf8987cefa4679f96 0x64169 - libstdc++.so.6 -
:3a22696b5960be635fc574c02bac360f4e9786dc 0x1118e0 - [exe] -
:3a22696b5960be635fc574c02bac360f4e9786dc 0x38e6e - [exe] -
:3a22696b5960be635fc574c02bac360f4e9786dc 0x390a3 - [exe] -
:3a22696b5960be635fc574c02bac360f4e9786dc 0x12ca8 - [exe] -
:3a22696b5960be635fc574c02bac360f4e9786dc 0x132ab2 - [exe] -

dso_list:
:/usr/lib/libICE.so.6.3.0 libICE-1.0.8-1.fc17.i686 (Fedora Project) 1338849622
:/usr/lib/librt-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1338849613
:/usr/lib/libpthread-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1338849613
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-3.fc17.i686 (Fedora Project) 1338849625
:/usr/lib/libSM.so.6.0.1 libSM-1.2.1-1.fc17.i686 (Fedora Project) 1338849623
:/usr/lib/libCEGUIBase-0.6.2.so cegui06-0.6.2-10.fc17.i686 (Fedora Project) 1338998218
:/usr/lib/libiovmall.so.2 Io-language-20080330-8.fc17.2.i686 (Fedora Project) 1338998219
:/usr/lib/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.i686 (Fedora Project) 1338849604
:/usr/lib/libX11.so.6.3.0 libX11-1.5.0-2.fc17.i686 (Fedora Project) 1341040945
:/usr/lib/libXext.so.6.4.0 libXext-1.3.1-1.fc17.i686 (Fedora Project) 1338849625
:/usr/lib/libalut.so.0.1.0 freealut-1.1.0-13.fc17.i686 (Fedora Project) 1338998209
:/usr/lib/libCEGUIOpenGLRenderer-0.6.2.so cegui06-0.6.2-10.fc17.i686 (Fedora Project) 1338998218
:/usr/lib/libopenal.so.1.14.0 openal-soft-1.14-2.fc17.i686 (Fedora Project) 1338846887
:/usr/lib/libm-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1338849613
:/usr/lib/libpcre.so.0.0.1 pcre-8.21-5.fc17.i686 (Fedora Project) 1338841337
:/usr/lib/libpng15.so.15.10.0 libpng-2:1.5.10-1.fc17.i686 (Fedora Project) 1338849622
:/usr/lib/ld-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1338849613
:/usr/bin/TnL TnL-071111-19.fc17.i686 (Fedora Project) 1338998220
:/usr/lib/libz.so.1.2.5 zlib-1.2.5-6.fc17.i686 (Fedora Project) 1338849620
:/usr/lib/libGLU.so.1.3.08003 mesa-libGLU-8.0.3-1.fc17.i686 (Fedora Project) 1338841334
:/usr/lib/libuuid.so.1.3.0 libuuid-2.21.2-2.fc17.i686 (Fedora Project) 1341040947
:/usr/lib/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.i686 (Fedora Project) 1338849620
:/usr/lib/libc-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1338849613
:/usr/lib/libfreetype.so.6.8.0 freetype-2.4.8-3.fc17.R.i686 (Russian Fedora Team) 1339878482
:/usr/lib/libdl-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1338849613
:/usr/lib/libGLEW.so.1.6.0 libGLEW-1.6.0-2.fc17.i686 (Fedora Project) 1338849933
:/usr/lib/libsigc-1.2.so.5.0.7 libsigc++-1.2.7-11.fc17.i686 (Fedora Project) 1338998219
:/usr/lib/libxcb.so.1.1.0 libxcb-1.8.1-1.fc17.i686 (Fedora Project) 1338841308
:/usr/lib/libSDL-1.2.so.0.11.3 SDL-1.2.14-16.fc17.i686 (Fedora Project) 1338849838

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:LC_MONETARY=ro_RO.utf8
:HOSTNAME=localhost.localdomain
:GIO_LAUNCHED_DESKTOP_FILE_PID=1692
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/igor/keyring-RbL3Id/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:LC_NUMERIC=ro_RO.utf8
:GNOME_KEYRING_CONTROL=/run/user/igor/keyring-RbL3Id
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=igor
:SSH_AUTH_SOCK=/run/user/igor/keyring-RbL3Id/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/915,unix/unix:/tmp/.ICE-unix/915
:USERNAME=igor
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-TnL.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/igor/.local/bin:/home/igor/bin
:MAIL=/var/spool/mail/igor
:QT_IM_MODULE=xim
:PWD=/home/igor
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:LC_MEASUREMENT=ro_RO.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=1
:HOME=/home/igor
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=igor
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-s3GaMCOSSH,guid=119750e09dd602782946e44700000028
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/igor
:LC_TIME=ro_RO.utf8
:XAUTHORITY=/var/run/gdm/auth-for-igor-L7zy24/database

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 24110                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       24110                24110                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/igor/.xsession-errors
:pos:	5439
:flags:	02002
:2:/home/igor/.xsession-errors
:pos:	5439
:flags:	02002

var_log_messages:
:Jul  3 23:49:13 localhost kernel: [  430.940107] TnL[1692]: segfault at 4 ip 4e582169 sp bff9de3c error 4 in libstdc++.so.6.0.17[4e51e000+e0000]
:Jul  3 23:49:14 localhost abrt[1704]: Saved core dump of pid 1692 (/usr/bin/TnL) to /var/spool/abrt/ccpp-2012-07-03-23:49:13-1692 (33988608 bytes)
Comment 1 BigAurian 2012-07-03 16:51:28 EDT
Created attachment 596093 [details]
File: maps
Comment 2 BigAurian 2012-07-03 16:51:31 EDT
Created attachment 596094 [details]
File: backtrace
Comment 3 MaPo 2012-10-05 16:22:25 EDT
Attempted to start the game.

backtrace_rating: 4
Package: TnL-071111-19.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 DeepPurpleFedora 2012-10-09 22:41:55 EDT
I have never gotten this to work since around fedora 12. All it said when I ran it through terminal was: Segmentation fault (core dumped)

backtrace_rating: 4
Package: TnL-071111-19.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Fedora End Of Life 2013-07-03 19:46:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 22:43:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.